OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEPBase
StepGeom

# StepGeom_RectangularTrimmedSurface Class Reference

`#include <StepGeom_RectangularTrimmedSurface.hxx>`

Inheritance diagram for StepGeom_RectangularTrimmedSurface:

[legend]

## Public Member Functions
Standard_EXPORT | StepGeom_RectangularTrimmedSurface ()
| Returns a RectangularTrimmedSurface .
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName)
virtual Standard_EXPORT void | Init (const Handle(TCollection_HAsciiString)&aName, const Handle(StepGeom_Surface)&aBasisSurface, const Standard_Real aU1, const Standard_Real aU2, const Standard_Real aV1, const Standard_Real aV2, const Standard_Boolean aUsense, const Standard_Boolean aVsense)
Standard_EXPORT void | SetBasisSurface (const Handle(StepGeom_Surface)&aBasisSurface)
Standard_EXPORT Handle_StepGeom_Surface | BasisSurface () const
Standard_EXPORT void | SetU1 (const Standard_Real aU1)
Standard_EXPORT Standard_Real | U1 () const
Standard_EXPORT void | SetU2 (const Standard_Real aU2)
Standard_EXPORT Standard_Real | U2 () const
Standard_EXPORT void | SetV1 (const Standard_Real aV1)
Standard_EXPORT Standard_Real | V1 () const
Standard_EXPORT void | SetV2 (const Standard_Real aV2)
Standard_EXPORT Standard_Real | V2 () const
Standard_EXPORT void | SetUsense (const Standard_Boolean aUsense)
Standard_EXPORT Standard_Boolean | Usense () const
Standard_EXPORT void | SetVsense (const Standard_Boolean aVsense)
Standard_EXPORT Standard_Boolean | Vsense () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Private Attributes
Handle_StepGeom_Surface | basisSurface
Standard_Real | u1
Standard_Real | u2
Standard_Real | v1
Standard_Real | v2
Standard_Boolean | usense
Standard_Boolean | vsense

## Constructor & Destructor Documentation

Standard_EXPORT StepGeom_RectangularTrimmedSurface::StepGeom_RectangularTrimmedSurface | ( |  | ) |

## Member Function Documentation

Standard_EXPORT Handle_StepGeom_Surface StepGeom_RectangularTrimmedSurface::BasisSurface | ( |  | ) | const

Standard_EXPORT const StepGeom_RectangularTrimmedSurface::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from StepGeom_BoundedSurface.

virtual Standard_EXPORT void StepGeom_RectangularTrimmedSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName,
|  | const Handle(StepGeom_Surface)& | aBasisSurface,
|  | const Standard_Real | aU1,
|  | const Standard_Real | aU2,
|  | const Standard_Real | aV1,
|  | const Standard_Real | aV2,
|  | const Standard_Boolean | aUsense,
|  | const Standard_Boolean | aVsense
| ) | `[virtual]`

virtual Standard_EXPORT void StepGeom_RectangularTrimmedSurface::Init | ( | const Handle(TCollection_HAsciiString)& | aName | ) | `[virtual]`

| Reimplemented from StepRepr_RepresentationItem.

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetBasisSurface | ( | const Handle(StepGeom_Surface)& | aBasisSurface | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetU1 | ( | const Standard_Real | aU1 | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetU2 | ( | const Standard_Real | aU2 | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetUsense | ( | const Standard_Boolean | aUsense | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetV1 | ( | const Standard_Real | aV1 | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetV2 | ( | const Standard_Real | aV2 | ) |

Standard_EXPORT void StepGeom_RectangularTrimmedSurface::SetVsense | ( | const Standard_Boolean | aVsense | ) |

Standard_EXPORT Standard_Real StepGeom_RectangularTrimmedSurface::U1 | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_RectangularTrimmedSurface::U2 | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_RectangularTrimmedSurface::Usense | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_RectangularTrimmedSurface::V1 | ( |  | ) | const

Standard_EXPORT Standard_Real StepGeom_RectangularTrimmedSurface::V2 | ( |  | ) | const

Standard_EXPORT Standard_Boolean StepGeom_RectangularTrimmedSurface::Vsense | ( |  | ) | const

## Field Documentation

Handle_StepGeom_Surface StepGeom_RectangularTrimmedSurface::basisSurface`[private]`

Standard_Real StepGeom_RectangularTrimmedSurface::u1`[private]`

Standard_Real StepGeom_RectangularTrimmedSurface::u2`[private]`

Standard_Boolean StepGeom_RectangularTrimmedSurface::usense`[private]`

Standard_Real StepGeom_RectangularTrimmedSurface::v1`[private]`

Standard_Real StepGeom_RectangularTrimmedSurface::v2`[private]`

Standard_Boolean StepGeom_RectangularTrimmedSurface::vsense`[private]`

The documentation for this class was generated from the following file:

- StepGeom_RectangularTrimmedSurface.hxx